import request from '@/utils/request'

// 获取物料申请单列表
export function getReqList(params) {
  return request({
    url: `/system/apply/material/list`,
    method: 'get',
    params: params
  })
}
// 物料申请单-新增
export function addReq(data) {
  return request({
    url: `/system/apply/material`,
    method: 'post',
    data: data
  })
}
// 获取物料申请单详情
export function getReqDetail(id) {
  return request({
    url: `/system/apply/material/${id}`,
    method: 'get',
  })
}
// 物料申请单-修改提交
export function editReq(data) {
  return request({
    url: `/system/apply/material`,
    method: 'put',
    data: data
  })
}
// 物料申请单-删除
export function delReq(id) {
  return request({
    url: `/system/apply/material/${id}`,
    method: 'delete',
  })
}